Subversion v1.4.0 and IDEA problems?

I just recently upgraded my SVN command line client (on Unbunta Linux) to the recently released version 1.4.0. However, it seems as though IDEA is now convinced that none of my files are under version control any longer.

Has anyone else seen this or is there a known workaround?

Thanks,
jason

4 comments


I think the built-in SVN library (JavaSVN) do not support SVN 1.4 working
copies yet.
A new version containing 1.4 wc support is apparently expected towards the
end of the month, and it seems either IDEA 6.0 or 6.0.1 will include it.

Others will correct me if I'm wrong on this, but I think you can connect
to 1.4 servers just fine using IDEA, you just can't work on a wc using both
the (1.4) command line tools and IDEA.


0

Is there a bug/feature # that I can use to track this? Just upgraded to the 6.0 final release of IDEA and would like to try out the SVN v1.4 command-line client again.

Is there some other way (besides simply testing locally) to determine if 6.0 includes support for SVN v1.4 client repositories?

Thanks,
jason

0

Would like to verify if this problem exists in the final release version of Idea 6.0.

0

Hello Jason,

JB> Is there a bug/feature # that I can use to track this? Just upgraded
JB> to the 6.0 final release of IDEA and would like to try out the SVN
JB> v1.4 command-line client again.

http://www.jetbrains.net/jira/browse/IDEA-9204

JB> Is there some other way (besides simply testing locally) to
JB> determine if 6.0 includes support for SVN v1.4 client repositories?

As it was told multiple times in the forums, no, IntelliJ IDEA 6.0 final
does not support Subversion 1.4. Support for SVN 1.4 will be included in
a future bugfix update for 6.0.

--
Dmitry Jemerov
Software Developer
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Please sign in to leave a comment.